#!/usr/bin/perl -I. -I/usr/sausalito/perl 
#
# $Id: cache.pl,v 1.3 2000/06/16 18:48:48 pbose Exp $
# Author: Patrick Bose
# Copyright 2000, Cobalt Networks, Inc.
#
# This handler will start and stop squid, modifying the
# firewall rules to configure it as a transparent proxy.
# It will also add or remove squid from the startup scripts.
#

use CCE;
use Cache;

my $cce = new CCE(Namespace => "Cache", Domain => "base-cache");

$cce->connectfd(\*STDIN, \*STDOUT);

my $cache = $cce->event_object();

my @system_oid = $cce->find("System");

if (@system_oid == 0) {
    $cce->bye("FAIL", "no_system_object");
    exit(1);
}

if ($cache->{enabled}) {
    Cache::enable_cache($cce);
} else {
    Cache::disable_cache($cce);
}

$cce->bye("SUCCESS");

