#!/usr/bin/perl -I. -I/usr/sausalito/perl 
#
# $Id: update-fw.pl,v 1.2 2000/09/08 02:30:34 pbose Exp $
# Author: Patrick Bose
# Copyright 2000, Cobalt Networks, Inc.
#
# This handler will update the firewall rules involved 
# with caching in the event that a change occurs with a network interface.

use CCE;
use Cache;

my $cce = new CCE(Namespace => "", Domain => "base-cache");

$cce->connectfd(\*STDIN, \*STDOUT);

my @system_oid = $cce->find("System");

if (@system_oid == 0) {
    $cce->bye("FAIL", "no_system_object");
    exit(1);
}

my ($ok, $system_obj) = $cce->get($system_oid[0], "Cache");

if (!$ok) {
    $cce->bye("FAIL", "system_object_get_failed");
    exit(1);
}

my $network = $cce->event_object();

# We only need to do something if caching is enabled
if ($system_obj->{enabled}) {
    Cache::disable_cache_fw($cce);
    Cache::enable_cache_fw($cce);
} 

$cce->bye("SUCCESS");

